### File

`src/file-uploader/file-item.interface.ts`

### Index

###### Properties
file Optional invalid Optional invalidText state uploaded

### Properties

file
`file: `File``
Type : `File`

invalid
`invalid: `boolean``
Type : `boolean`
Optional

invalidText
`invalidText: `string``
Type : `string`
Optional

state
`state: `"edit" | "upload" | "complete"``
Type : `"edit" | "upload" | "complete"`

uploaded
`uploaded: `boolean``
Type : `boolean`

    export interface FileItem {
    	file: File;
    	state: "edit" | "upload" | "complete";
    	uploaded: boolean;
    	invalid?: boolean;
    	invalidText?: string;
    }

# result-matching ""

# No results matching ""